%global with_snapshot   0
%global postrelease     .post4
%global debug_package   %{nil}

Summary:        AMD Radeon video cards monitoring utility
Name:           radeontop
Version:        1.4
Release:    1%{?dist}
License:        GPLv3
URL:            https://github.com/clbr/%{name}

Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         %{name}-no-rebuild.patch

BuildRequires:  asciidoc
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  git-core
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(pciaccess)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  sed

%description
RadeonTop is a monitoring utility for AMD Radeon cards from R600 and up.

%prep
%autosetup -p1 -n %{name}-%{version}%{?shortcommit:-%{checkout}}
sed -i -e 's/unknown/%{version}/' getver.sh

%build
%set_build_flags
%make_build 

%install
%make_install LIBDIR=%{_lib}
%find_lang %{name}

install -Dm 0644 -p %{name}.metainfo.xml \
        %{buildroot}%{_metainfodir}/%{name}.metainfo.xml

%check
appstream-util validate-relax --nonet %{buildroot}/%{_metainfodir}/%{name}.metainfo.xml

%files -f %{name}.lang
%doc README.md 
%license COPYING
%{_bindir}/%{name}
%{_libdir}/lib%{name}_xcb.so
%{_mandir}/man1/%{name}.1*
%{_metainfodir}/%{name}.metainfo.xml

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4-1
- initial build
